gnutls_x509_ext_import_tlsfeatures(3)

NAME
gnutls_x509_ext_import_tlsfeatures - API function

SYNOPSIS
#include <gnutls/x509-ext.h>

int gnutls_x509_ext_import_tlsfeatures(const gnutls_datum_t * ext, gnutls_x509_tlsfeatures_t f, unsigned int flags);

ARGUMENTS

const gnutls_datum_t * ext
    The DER-encoded extension data

gnutls_x509_tlsfeatures_t f
    The features structure

unsigned int flags
    zero or GNUTLS_EXT_FLAG_APPEND

DESCRIPTION
This function will export the features in the provided DER-encoded TLS Features PKIX extension, to a gnutls_x509_tlsfeatures_t type. f must be initialized. When the flags is set to GNUTLS_EXT_FLAG_APPEND, then if the features structure is empty this function will behave identically as if the flag was not set. Otherwise if there are elements in the features structure then they will be merged with.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.5.1

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/